import { Component } from 'react'
import { View } from '@tarojs/components'
import { Button } from '@nutui/nutui-react-taro'

import './index.scss'
import Api from "../../api";
import TaroUtils from "../../utils/TaroUtils";
import XQRCode from "../../components/XQRCode";

class Home extends Component {
  async sendMsg() {
    await Api.system.getBaidu();
  }
  async showToast() {
    TaroUtils.showToast("你好");
  }
  render() {
    return (
      <View>
        <View class='text-[red]'>123456</View>
        <Button type="info" onClick={this.sendMsg}>发送</Button>
        <Button type="info" onClick={this.showToast}>弹窗</Button>
        <XQRCode></XQRCode>
      </View>
    )
  }
}

export default Home
